> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Bill Payment

> Initiate a bill payment



## OpenAPI

````yaml post /billers/{biller_code}/items/{item_code}/payment
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /billers/{biller_code}/items/{item_code}/payment:
    post:
      tags:
        - Bill Payments
      summary: Create a Bill Payment
      description: Initiate a bill payment
      operationId: CreateaBillPayment
      parameters:
        - name: biller_code
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: BIL119
        - name: item_code
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: CB140
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateaBillPaymentRequest'
                - example:
                    country: NG
                    customer_id: '0025401100'
                    reference: d7a004b1-a581-4cd9-89ae-a1f0934019
                    amount: 1800
                    callback_url: >-
                      https://webhook.site/#!/view/df95cc29-1556-4e39-85ff-180fae09f3e8
            example:
              country: NG
              customer_id: '0025401100'
              reference: d7a004b1-a581-4cd9-89ae-a1f0934019
              amount: 1800
              callback_url: >-
                https://webhook.site/#!/view/df95cc29-1556-4e39-85ff-180fae09f3e8
        required: true
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:14:17 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '269'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"10d-bvmRMMfyEayLqjKNvd8w2g"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CreateaBillPayment-success'
                  - example:
                      status: success
                      message: Bill payment successful
                      data:
                        phone_number: '0025401100'
                        amount: 1800
                        network: DSTV Payment
                        code: '200'
                        tx_ref: CF-FLYAPI-20240324091413750321
                        reference: '247837898415'
                        batch_reference: null
                        recharge_token: null
                        fee: 100
              example:
                status: success
                message: Bill payment successful
                data:
                  phone_number: '0025401100'
                  amount: 1800
                  network: DSTV Payment
                  code: '200'
                  tx_ref: CF-FLYAPI-20240324091413750321
                  reference: '247837898415'
                  batch_reference: null
                  recharge_token: null
                  fee: 100
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 11:13:54 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '71'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"47-KRas8XPLmqFYzZ8fKWOhkA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CreateaBillPayment-error1'
                  - example:
                      status: error
                      message: No record found for customer
                      data: null
              example:
                status: error
                message: No record found for customer
                data: null
      deprecated: false
components:
  schemas:
    CreateaBillPaymentRequest:
      title: CreateaBillPaymentRequest
      required:
        - country
        - customer_id
        - reference
        - amount
        - callback_url
      type: object
      properties:
        country:
          type: string
        customer_id:
          type: string
        reference:
          type: string
        amount:
          type: integer
          format: int32
        callback_url:
          type: string
      example:
        country: NG
        customer_id: '0025401100'
        reference: d7a004b1-a581-4cd9-89ae-a1f0934019
        amount: 1800
        callback_url: https://webhook.site/#!/view/df95cc29-1556-4e39-85ff-180fae09f3e8
    CreateaBillPayment-success:
      title: CreateaBillPayment-success
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data74'
      example:
        status: success
        message: Bill payment successful
        data:
          phone_number: '0025401100'
          amount: 1800
          network: DSTV Payment
          code: '200'
          tx_ref: CF-FLYAPI-20240324091413750321
          reference: '247837898415'
          batch_reference: null
          recharge_token: null
          fee: 100
    CreateaBillPayment-error1:
      title: CreateaBillPayment-error1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: No record found for customer
        data: null
    Data74:
      title: Data74
      required:
        - phone_number
        - amount
        - network
        - code
        - tx_ref
        - reference
        - batch_reference
        - recharge_token
        - fee
      type: object
      properties:
        phone_number:
          type: string
        amount:
          type: integer
          format: int32
        network:
          type: string
        code:
          type: string
        tx_ref:
          type: string
        reference:
          type: string
        batch_reference:
          type: string
          nullable: true
        recharge_token:
          type: string
          nullable: true
        fee:
          type: integer
          format: int32
      example:
        phone_number: '0025401100'
        amount: 1800
        network: DSTV Payment
        code: '200'
        tx_ref: CF-FLYAPI-20240324091413750321
        reference: '247837898415'
        batch_reference: null
        recharge_token: null
        fee: 100
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````